Loading...
Searching...
No Matches
smartlock::DoorAccessControl::AbsoluteTimeCondition Struct Reference

A condition representing an absolute time range. More...

`import <DoorAccessControl.idl;`

## Public Attributes

boolean | enabled
| Condition is enabled.
time | validFrom
| Time range starting from this date or 0 if not set.
time | validTill
| Time range valid until this date or 0 if not set.

## Detailed Description

A condition representing an absolute time range.

Timestamps are UNIX timestamps (UTC)

Definition at line 27 of file DoorAccessControl.idl.

## Member Data Documentation

## enabled

boolean smartlock::DoorAccessControl::AbsoluteTimeCondition::enabled

Condition is enabled.

Definition at line 28 of file DoorAccessControl.idl.

## validFrom

time smartlock::DoorAccessControl::AbsoluteTimeCondition::validFrom

Time range starting from this date or 0 if not set.

Definition at line 29 of file DoorAccessControl.idl.

## validTill

time smartlock::DoorAccessControl::AbsoluteTimeCondition::validTill

Time range valid until this date or 0 if not set.

Definition at line 30 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl